# Copyright 2025 Albert Han
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

import excelify as el


def main():
    df = el.ExcelFrame.empty(columns=["fib"], height=10)
    df = df.with_columns(
        fib=el.map(
            lambda idx: 1
            if idx <= 1
            else el.col("fib").prev(1) + el.col("fib").prev(2)
        )
    )

    df.to_excel("fib.xlsx")


if __name__ == "__main__":
    main()
